osapi.jive.corev3.communications.Mention

A Mention is a linked reference (created by using an "@" in the text editor) to a specific context object.

Properties

PropertyTypeMode †Description
idStringread-only↑

Identifier (unique within an object type and Jive instance) of this object. This field is internal to Jive and should not be confused with contentID or placeID used in URIs.

mentionedContentContentread-only↑

The content object that contained the mention.

mentionedObjectObjectread-only↑

The object that was mentioned.

resourcesObjectread-only↑

Resource links (and related permissions for the requesting person) relevant to this object.

typeStringread-only↑

The object type of this object ("mention").

typeCodeIntegerread-only↑
†
→ Fields used by update and create operations
→ Fields used only by create operations
→ Fields not used by update or create operations

Methods

↑
get(options)
GET /mentions/1234

Retrieves

Mention

Description

Return an updated version of this mention.

Options:
NameTypeRequiredDescription
fieldsStringfalseNames of the fields to be returned
Retrieves:
  • Mention describing the updated mention
  • ↑
    markRead()
    POST /mentions/1234/read

    Retrieves

    --

    Description

    Mark this mention as having been read.

    Since: 3.2
    ↑
    markUnread()
    DELETE /mentions/1234/read

    Retrieves

    --

    Description

    Mark this mention as having been read.

    Since: 3.2